__author__ = 'dev'
from ui.console.button.click_button import ClickButton


class PlayStreamButton(ClickButton):

    def __init__(self, stream_name, player):
        super().__init__(stream_name)
        self.__player = player
        self.__stream_name = stream_name

    def _action(self, sender):
        self.__player.play_stream(self.__stream_name)